<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <!-- Зробити робочими кнопки з виводом відповідних дій на сторінку приклад 008_DOM -->
    <script>
        window.onload = () => {

            const but_1 = document.getElementById("1");

            but_1.onclick = function () {
                const ul = document.getElementById("list");

                ul.firstElementChild.style.backgroundColor = "red";
            }

            const but_2 = document.getElementById("2");

            but_2.onclick = function () {
                const ul = document.getElementById("list");

                ul.lastElementChild.style.backgroundColor = "blue";
            }

            const but_3 = document.getElementById("3");

            but_3.onclick = function () {
                const ul = document.getElementById("list");

                ul.firstElementChild.style.backgroundColor = "yellow";
            }

            const but_4 = document.getElementById("4");
            but_4.onclick = function () {
                const li = document.getElementById("9");
                li.previousElementSibling.style.backgroundColor = "orange";
            }

            const but_5 = document.getElementById("5");
            but_5.onclick = function () {
                const ul = document.getElementById("list");
                p = document.createElement("p");
                p.textContent = "paragraf";
                p.setAttribute("id", "8");
                ul.after(p);

            }

            const but_6 = document.getElementById("6");
            but_6.onclick = function () {
                const li = document.getElementById("9");
                li.remove();
            }

            const but_7 = document.getElementById("7");
            but_7.onclick = function () {
                const ul = document.getElementById("list");
                div = document.createElement("div");
                div.textContent = "Div";
                div.setAttribute("id", "10");
                ul.before(div);

            }
        }
    </script>

    <ul id="list">
        <li id="11">List Item 1</li>
        <li id="12">List Item 2</li>
        <li id="9">List Item 3</li>
        <li id="13">List Item 4</li>
        <li id="14">List Item 5</li>
    </ul>
    <br />
    <input id="1" type="button" onclick="selectFirstChild()" style="width: 210px;"
        value="Выбрать первый элемент" /><br />
    <input id="2" type="button" onclick="selectLastChild()" style="width: 210px;"
        value="Выбрать последний элемент" /><br />
    <input id="3" type="button" onclick="selectNextNode()" style="width: 210px;"
        value="Выбрать следующий элемент" /><br />
    <input id="4" type="button" onclick="selectPrevNode()" style="width: 210px;"
        value="Выбрать предыдущий элемент" /><br />
    <input id="5" type="button" onclick="createNewChild()" style="width: 210px;" value="Добавить элемент" /><br />
    <input id="6" type="button" onclick="removeLastChild()" style="width: 210px;" value="Удалить элемент" /><br />
    <input id="7" type="button" onclick="createNewChildAtStart()" style="width: 210px;"
        value="Добавить  в начало" /><br />

</body>
</html>